Magick::DrawableFillRule Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillRule:
[legend]
Collaboration diagram for Magick::DrawableFillRule:
[legend]

## Public Member Functions

| DrawableFillRule (const FillRule fillRule_)
| ~DrawableFillRule (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | fillRule (const FillRule fillRule_)
FillRule | fillRule (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 883 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableFillRule::DrawableFillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 886 of file Drawable.h.

Magick::DrawableFillRule::~DrawableFillRule | ( | void |  | ) |

Definition at line 619 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableFillRule::copy | ( |  | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 627 of file Drawable.cpp.

void Magick::DrawableFillRule::fillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 899 of file Drawable.h.

FillRule Magick::DrawableFillRule::fillRule | ( | void |  | ) | const

inline

Definition at line 903 of file Drawable.h.

void Magick::DrawableFillRule::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 623 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp